#include "error.h"
#include "cdbslib.h"
#include "loadfile.h"
#include "cdbslib.h"
#include "mkcomptab.h"
#include "cdbserror.h"

/* TASK -- Main routine for the mkcomptab task */

void task (int argc, char **argv)
{
    char	*output;
    table	*comptab;

    static int colwidth[NCOL_COMPTAB] = {26, 18, 50, 68};

    if (argc != 2)
	cdbs_error (USAGE, "%d", argc-1);

    output = argv[1];
    def_option ("date=,ext=fits");
    comptab = create_table ();

    mkcomptab (comptab);

    write_sdastab (comptab, NCOL_COMPTAB, colwidth, output);
    free_table (comptab);
}
 
